/*
For the Macintosh World
to compile: javac -classpath .:KarelJRobot.jar kareltherobot/*.java
to run:   java -cp .:KarelJRobot.jar kareltherobot.Application
For the Windows World
to compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
to run: java -cp .;KarelJRobot.jar kareltherobot.Application
*/

/*
This program creates three robots and has them moveOrTurnRight 50 times, reporting how many times
each robot encountered a wall.  The name of the world is to be entered by the user.
written by Scott McElfresh
*/

package kareltherobot;

import javax.swing.JOptionPane;

public class Application implements Directions
{	
    public static void main(String[] args)
	{	
	    String worldname = JOptionPane.showInputDialog("Enter name of world file:");
	    // set up the world
		World.setVisible(true);
		World.readWorld(worldname);
		World.setTrace(false);
		World.setDelay(2);
		
		HwRobot robot1 = new HwRobot(East,70,"Huey");
		HwRobot robot2 = new HwRobot(5,5,East,"Dewey");
		HwRobot robot3 = new HwRobot(10,15,East,80,"Louie");
		
		World.setDelay(2);
		int howmanytimes = 50;
		for (int i = 0 ; i < howmanytimes; i++)
		{
		    robot1.moveOrTurnRight();
		    robot2.moveOrTurnRight();
		    robot3.moveOrTurnRight();
		}
		
	    System.out.println(robot1.getName() + " encountered a wall " + robot1.getHowManyWalls()
	                       + " times.");
	    System.out.println(robot2.getName() + " encountered a wall " + robot2.getHowManyWalls()
	                       + " times.");
	    System.out.println(robot3.getName() + " encountered a wall " + robot3.getHowManyWalls()
	                       + " times.");
	                       
	    robot1.turnOff();
	    robot2.turnOff();
	    robot3.turnOff();
	}

}